"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a320>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a3b0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a440>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a4d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a560>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a5f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a680>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a710>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a7a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a830>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a8c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a950>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6a9e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6aa70>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ab00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ab90>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ac20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6acb0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ad40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6add0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ae60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6aef0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6af80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b010>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b130>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b0a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b1c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b250>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b2e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b370>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b400>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b490>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b520>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b5b0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b640>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b6d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b760>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b7f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b880>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b910>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6b9a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6ba30>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bac0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bb50>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bbe0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bc70>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bd00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bd90>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6be20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6beb0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9db6bf40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba40d0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba41f0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4280>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4310>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba43a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4430>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba44c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4550>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba45e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4670>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4700>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4790>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4820>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba49d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4af0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4b80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4c10>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4d30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4ca0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4dc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4e50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4ee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba5000>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba4f70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba5090>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba5120>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba51b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba5240>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba52d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6c9dba5360>)]
name: str = 'fr_HOCCN'
